Bug 502936 - kickstart doesn't bring up loopback network device
kickstart doesn't bring up loopback network device
Status: CLOSED INSUFFICIENT_DATA
Product: Red Hat Enterprise Linux 5
Classification: Red Hat
Component: anaconda (Show other bugs)
5.3
All Linux
low Severity medium
: rc
: ---
Assigned To: Anaconda Maintenance Team
Release Test Team
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-05-27 16:20 EDT by Jonathan Kamens
Modified: 2011-07-27 13:22 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2011-07-27 13:22:00 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Jonathan Kamens 2009-05-27 16:20:45 EDT
The loopback network device isn't active by default during kickstart installations.  It can be activated easily enough by doing "ifconfig lo up" in the %pre script of the ks.cfg file, but there's no reason why it shouldn't be activated by default.  Leaving it down can prevent stuff from working, e.g., during our kickstart we install and start the postgresql server and then try to connect to it on 127.0.0.1.
Comment 1 Chris Lumens 2009-08-07 11:48:44 EDT
It definitely should be getting brought up via the initLoopback function in loader2/net.c.  Can you boot with loglevel=debug and attach the logs to this bug report?  Maybe there's something odd going on here.

Note You need to log in before you can comment on or make changes to this bug.